Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.security.auth.callback
Class UnsupportedCallbackException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.security.auth.callback.UnsupportedCallbackException

All Implemented Interfaces:
  Serializable

public class UnsupportedCallbackException
extends Exception

Signals that a `CallbackHandler` does not recognize a particular `Callback`.

See Also:
  Serialized Form

Constructor Summary
`UnsupportedCallbackException(Callback callback)` Constructs a `UnsupportedCallbackException` with no detail message.
`UnsupportedCallbackException(Callback callback, String msg)` Constructs a UnsupportedCallbackException with the specified detail message.

Method Summary
`Callback` | `getCallback()` Get the unrecognized `Callback`.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnsupportedCallbackException

    public UnsupportedCallbackException(Callback callback)

  Constructs a `UnsupportedCallbackException` with no detail message.

Parameters:
  `callback` - the unrecognized `Callback`.

### UnsupportedCallbackException

    public UnsupportedCallbackException(Callback callback,
                                        String msg)

  Constructs a UnsupportedCallbackException with the specified detail message. A detail message is a String that describes this particular exception.

Parameters:
  `callback` - the unrecognized `Callback`.

  `msg` - the detail message.

Method Detail

### getCallback

    public Callback getCallback()

  Get the unrecognized `Callback`.

  Returns:
    the unrecognized `Callback`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.